###################################################################
# Function Name: clear_arena
#
# Activated By:  function arena/action/clear_arena
#
# Functionality:
###################################################################

###################################################################
scoreboard players add @s ArenaTime 1
###################################################################

#Disable button protection
execute if entity @s[scores={ArenaTime=2}] run tag @s remove LobbyProtection
execute if entity @s[scores={ArenaTime=2}] run tag @s add ClearingArena


#Disable buttons
execute if entity @s[scores={ArenaTime=2}] run fill 806 68 1036 806 68 1040 air 0 replace


# Display arena preparing msg
execute if entity @s[scores={ArenaTime=2}] run tellraw @a[x=803,y=66,z=1035,dx=5,dy=5,dz=6] {"rawtext":[{"text":"§a§l[Info] Clearing the arena."}]}
execute if entity @s[scores={ArenaTime=2}] as @a[x=803,y=66,z=1035,dx=5,dy=5,dz=6] positioned as @s run playsound goe:info @s ~ ~ ~ 100 1 1


# Remove mob spots
execute if entity @s[scores={ArenaTime=10}] run event entity @e[tag=arena_mob_spot] goe:despawn


# Clear arena
execute if entity @s[scores={ArenaTime=20}] run structure load battle_arena1 793 65 984 0_degrees none true true
execute if entity @s[scores={ArenaTime=30}] run structure load battle_arena2 821 65 984 0_degrees none true true
execute if entity @s[scores={ArenaTime=40}] run structure load battle_arena3 793 65 1016 0_degrees none true true
execute if entity @s[scores={ArenaTime=50}] run structure load battle_arena4 821 65 1016 0_degrees none true true


# Activate arena reset
scoreboard players set @s[scores={ArenaTime=60}] ArenaStep 9999
# Reset time
scoreboard players set @s[scores={ArenaStep=!999}] ArenaTime 0
