###################################################################
# Function Name: step_pve
#
# Activated By:  function arena/step_pve
#
# Functionality:
###################################################################

###################################################################
scoreboard players add @s ArenaTime 1
###################################################################

# Update spawnpoint
execute if entity @s[scores={ArenaTime=2}] run spawnpoint @a[tag=InArena] 799 67 1036


# Clear monsters from arena
execute if entity @s[scores={ArenaTime=2}] run kill @e[family=monster,x=793,y=65,z=984,dx=56,dy=35,dz=58]

# Disable lobby protection
tag @s[scores={ArenaTime=2}] remove LobbyProtection

# Clear buttons
execute if entity @s[scores={ArenaTime=2}] run fill 806 68 1036 806 68 1040 air 0 replace

# Display arena preparing msg
execute if entity @s[scores={ArenaTime=2}] run title @a actionbar §aPREPARING THE ARENA...
execute if entity @s[scores={ArenaTime=30}] run title @a actionbar §aPREPARING THE ARENA...
execute if entity @s[scores={ArenaTime=60}] run title @a actionbar §aPREPARING THE ARENA...
execute if entity @s[scores={ArenaTime=2}] as @a[x=793,y=65,z=984,dx=56,dy=35,dz=58] positioned as @s run playsound goe:info @s ~ ~ ~ 100 1 1


# Remove mob spots
execute if entity @s[scores={ArenaTime=10}] run event entity @e[tag=arena_mob_spot] goe:despawn


# Clear arena
execute if entity @s[scores={ArenaTime=20}] run structure load battle_arena1 793 65 984 0_degrees none true true
execute if entity @s[scores={ArenaTime=30}] run structure load battle_arena2 821 65 984 0_degrees none true true
execute if entity @s[scores={ArenaTime=40}] run structure load battle_arena3 793 65 1016 0_degrees none true true
execute if entity @s[scores={ArenaTime=50}] run structure load battle_arena4 821 65 1016 0_degrees none true true

# TP player
execute if entity @s[scores={ArenaTime=60}] run tp @a[tag=InArena] 821 67 1015 -135 0
execute if entity @s[scores={ArenaTime=60}] run playsound goe:teleport @a[tag=InArena] ~ ~ ~ 100 1 1

#Count mobs
execute if entity @s[scores={ArenaTime=70..160}] run function arena/action/count_players

# Message and sound effects for battle prepare
execute if entity @s[scores={ArenaTime=70}] run title @a[tag=InArena] subtitle §e§oPrepare for battle!
execute if entity @s[scores={ArenaTime=70}] run title @a[tag=InArena] title §3Warden Arena
execute if entity @s[scores={ArenaTime=70}] as @a[tag=InArena] run playsound goe:arena_start @s ~ ~ ~ 100 1 1


# Countdown
execute if entity @s[scores={ArenaTime=100}] run title @a[tag=InArena] subtitle §c3
execute if entity @s[scores={ArenaTime=100}] run title @a[tag=InArena] title §c
execute if entity @s[scores={ArenaTime=100}] as @a[tag=InArena] positioned as @s run playsound goe:arena_countdown @s ~ ~ ~ 100 1 1

execute if entity @s[scores={ArenaTime=120}] run title @a[tag=InArena] subtitle §62
execute if entity @s[scores={ArenaTime=120}] run title @a[tag=InArena] title §c
execute if entity @s[scores={ArenaTime=120}] as @a[tag=InArena] positioned as @s run playsound goe:arena_countdown @s ~ ~ ~ 100 1 1

execute if entity @s[scores={ArenaTime=140}] run title @a[tag=InArena] subtitle §a1
execute if entity @s[scores={ArenaTime=140}] run title @a[tag=InArena] title §c
execute if entity @s[scores={ArenaTime=140}] as @a[tag=InArena] positioned as @s run playsound goe:arena_countdown @s ~ ~ ~ 100 1 1

execute if entity @s[scores={ArenaTime=160}] run title @a[tag=InArena] subtitle §cFight
execute if entity @s[scores={ArenaTime=160}] run title @a[tag=InArena] title §c
execute if entity @s[scores={ArenaTime=160}] as @a[tag=InArena] positioned as @s run playsound goe:arena_announce @s ~ ~ ~ 100 1 1


execute if entity @s[scores={ArenaTime=160}] as @a[tag=InArena] positioned as @s run music play goe:arena_ambient 1.00 1.00 loop


# Move to next step
scoreboard players set @s[scores={ArenaTime=160}] ArenaStep 10


# Reset param.
scoreboard players set @s[scores={ArenaStep=!1}]  ArenaTime 0
