###################################################################
# Function Name: structure/init_loop
#
# Activated By: main_loop
#
# Functionality: Init steps of saving structures for copying
###################################################################

###################################################################################
scoreboard players add @s InitTime 1
###################################################################################

##### LOCK PLAYERS :
# Lock to arena :
execute if entity @s[scores={InitTime=1..299}] run tp @a 816 111 1014 -90 90
# lock to lobby
execute if entity @s[scores={InitTime=300}] run tp @a 784 71 1094 0 0


##### BATTLE ARENA 	#####
# Add ticking area of battle arena
execute if entity @s[scores={InitTime=1}] run tickingarea add 793 65 984 849 100 1042 battle_arena
# Save battle arena
execute if entity @s[scores={InitTime=210}] run structure save battle_arena1 793 65 984 820 100 1015 true disk
execute if entity @s[scores={InitTime=220}] run structure save battle_arena2 821 65 984 849 100 1015 true disk
execute if entity @s[scores={InitTime=230}] run structure save battle_arena3 793 65 1016 820 100 1042 true disk
execute if entity @s[scores={InitTime=240}] run structure save battle_arena4 821 65 1016 849 100 1042 true disk


# Remove ticking area of battle arena
execute if entity @s[scores={InitTime=300}] run tickingarea remove battle_arena

################################ Messages 	################################
# Info
execute if entity @s[scores={InitTime=1}] run say §c§l§oInit: Saving structures. Please wait 15 seconds!
execute if entity @s[scores={InitTime=1}] run playsound goe:hint @a ~ ~ ~ 100 1 1
execute if entity @s[scores={InitTime=20}] run say §c§l§oInit: Preparing the clone of BATTLE ARENA STRUCTURE.
execute if entity @s[scores={InitTime=20}] run playsound goe:hint @a ~ ~ ~ 100 1 1
# Countdown
execute if entity @s[scores={InitTime=100}] run say §c§l§oInit: 10 seconds left.
execute if entity @s[scores={InitTime=100}] run playsound goe:hint @a ~ ~ ~ 100 1 1
execute if entity @s[scores={InitTime=200}] run say §c§l§oInit: 5 seconds left.
execute if entity @s[scores={InitTime=200}] run playsound goe:hint @a ~ ~ ~ 100 1 1
# Finish info
execute if entity @s[scores={InitTime=300}] run say §a§l§oInit finished!
execute if entity @s[scores={InitTime=300}] run playsound goe:hint @a ~ ~ ~ 100 1 1
##########################################################################

# Break loop
scoreboard players set @s[scores={InitTime=300}] InitStep 2
